"""
Client-agnostic model for marshalling Spotify data types.
"""

from .album import SavedAlbum, SearchAlbum, SimplifiedAlbum
from .artist import Artist, SimplifiedArtist
from .extra import ReleaseDatePrecision
from .paging import Cursor, CursorPaging, Paging
from .playlist import PlaylistTrack, SimplifiedPlaylist
from .track import SavedTrack, SimplifiedTrack, Track
from .user import PrivateUser, PublicUser

__all__ = [
    "Paging",
    "PlaylistTrack",
    "PrivateUser",
    "PublicUser",
    "ReleaseDatePrecision",
    "SearchAlbum",
    "SavedAlbum",
    "SavedTrack",
    "SimplifiedAlbum",
    "SimplifiedPlaylist",
    "SimplifiedTrack",
    "Track",
]
