"""
Extra type definitions that don't necessarily belong in other categories.
"""

from enum import Enum

from pydantic import BaseModel


class ReleaseDatePrecision(Enum):
    "Release date precision"

    YEAR = "year"
    MONTH = "month"
    DAY = "day"


class Image(BaseModel):
    """
    https://developer.spotify.com/documentation/web-api/reference/#object-imageobject
    """

    height: int
    url: str
    width: int
